import { Role } from "../models/enum/role";

class AuthService {
  private idToken = localStorage.getItem('id_token');
  private currentRole = localStorage.getItem('current_role');

  isAdminLogin(): boolean {
    return this.currentRole === Role.ADMIN;
  }

  isUserLogin(): boolean {
    return this.currentRole === Role.USER;
  }
}

export default new AuthService();
